#ifndef SONGPRIVATE_H
#define SONGPRIVATE_H

#include "song.h"
#include "musicobjectprivate.h"

class RecordPrivate;

class SongPrivate : public MusicObjectPrivate
{
public:
    SongPrivate(Song *pubPtr, RecordPrivate *record);
    ~SongPrivate();

    // Public API
    void setNumber(int n);
    int number() const { return num; }
    void setMusicFile(const QString &mf);
    QString musicFile() const { return music; }

    // Private API
    void recordDeleted();

private:
    RecordPrivate *record;
    int num;
    QString music;
};

#endif // SONGPRIVATE_H
